Добро пожаловать, Гость
Логин: Пароль: Запомнить меня
*****PLEASE, CHECK ALL PREVIOUS TOPICS, BEFORE CREATING A NEW ONE! DUPLICATED TOPICS WILL BE DELETED!*****

ТЕМА: ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26'

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 19 Март 2020 20:26 #1

  • nomfu
  • nomfu аватар
  • Вне сайта
  • Сообщений: 3
ExportSDR2 failing to start on Ubuntu 18.04

I put bash shell tracing on the script for debugging:

./ExpertSDR2.sh
+ readlink -f ./ExpertSDR2.sh
+ dirname /usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64/ExpertSDR2.sh
+ BASE_DIR=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64
+ export LD_LIBRARY_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//lib/:/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64:
+ export QML_IMPORT_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//qml/:QML_IMPORT_PATH
+ export QML2_IMPORT_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//qml/:QML2_IMPORT_PATH
+ export QT_PLUGIN_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//plugins/:QT_PLUGIN_PATH
+ export QTWEBENGINEPROCESS_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//bin//QtWebEngineProcess
+ export QTDIR=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64
+ export QT_QPA_PLATFORM_PLUGIN_PATH=/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//plugins//platforms:QT_QPA_PLATFORM_PLUGIN_PATH
+ /usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//bin/ExpertSDR2

/usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//bin/ExpertSDR2: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by /usr/local/ExpertSDR2/ExpertSDR2_1.3.1_Update5_SunSDR2_Ubuntu_x64//bin/ExpertSDR2)

looking at the shared library, GLIBCXX_3.4.26 isnt listed:

strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBC
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBCXX_3.4.15
GLIBCXX_3.4.16
GLIBCXX_3.4.17
GLIBCXX_3.4.18
GLIBCXX_3.4.19
GLIBCXX_3.4.20
GLIBCXX_3.4.21
GLIBCXX_3.4.22
GLIBCXX_3.4.23
GLIBCXX_3.4.24
GLIBCXX_3.4.25
GLIBC_2.2.5
GLIBC_2.3
GLIBC_2.14
GLIBC_2.4
GLIBC_2.18
GLIBC_2.16
GLIBC_2.3.4
GLIBC_2.17
GLIBC_2.3.2
GLIBCXX_DEBUG_MESSAGE_LENGTH
Администратор запретил публиковать записи гостям.

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 20 Март 2020 13:34 #2

  • Rome
  • Rome аватар
  • Вне сайта
  • Quod Licet Jovi Non Licet Bovi
  • Сообщений: 629
  • Спасибо получено: 249
Thanks for the info, passed it to the programmer.
Роман, Roman
Expert Electronics
Администратор запретил публиковать записи гостям.

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 23 Март 2020 08:13 #3

  • LA3QMA
  • LA3QMA аватар
  • Вне сайта
  • Сообщений: 11
  • Спасибо получено: 12
I can confirm this and a quick fix:

sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt update
sudo apt upgrade

Then run ExpertSDR2
Администратор запретил публиковать записи гостям.
Спасибо сказали: Rome

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 24 Март 2020 20:31 #4

  • nomfu
  • nomfu аватар
  • Вне сайта
  • Сообщений: 3
thx for responding. this system is also used for work, so not sure i should be upgrading to test tools. I can stick with the previous version for now. Are you planning to release with that library included in the your package going fwd?
Администратор запретил публиковать записи гостям.

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 25 Март 2020 06:22 #5

  • Rome
  • Rome аватар
  • Вне сайта
  • Quod Licet Jovi Non Licet Bovi
  • Сообщений: 629
  • Спасибо получено: 249
Before the release, we've tested the software on the latest version of the Ubuntu 18.04 with all updates, that's the version supposed to be used with the ExpertSDR2.
Роман, Roman
Expert Electronics
Администратор запретил публиковать записи гостям.

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 25 Март 2020 19:56 #6

  • nomfu
  • nomfu аватар
  • Вне сайта
  • Сообщений: 3
Hi, I did do an apt update and upgrade, same issue. I believe that library can be packaged with the application - that may be a solution.
Администратор запретил публиковать записи гостям.

ExportSDR2 1.3.1 Update 5 fails to start on Ubuntu 18.04 `GLIBCXX_3.4.26' 27 Март 2020 12:33 #7

  • Rome
  • Rome аватар
  • Вне сайта
  • Quod Licet Jovi Non Licet Bovi
  • Сообщений: 629
  • Спасибо получено: 249
Hi,
We'll look at it before releasing the Update 6.
Роман, Roman
Expert Electronics
Администратор запретил публиковать записи гостям.
Время создания страницы: 0.127 секунд